@import '@/styles/variables';

@mixin cardText {
  font-size: 14px;
  font-weight: 400;
  line-height: 150%;
  color: $color-white;

  @include custom-min-width($xl) {
    font-size: 16px;
  }
}

.wrapper {
  display: inline-flex;
  column-gap: 18px;
  min-width: 256px;
  border-radius: 15px;
  background: $color-secondary-20 url(/assets/icons/card-bg.svg) 100% / cover
    no-repeat;
  padding: 16px;

  @include custom-min-width($md) {
    column-gap: 22px;
  }

  @include custom-min-width($xl) {
    column-gap: 26px;
  }
}

.content {
  display: flex;
  flex-direction: column;
  row-gap: 16px;

  @include custom-min-width($md) {
    row-gap: 20px;
  }

  @include custom-min-width($xl) {
    row-gap: 23px;
  }
}

.status {
  font-size: 10px;
  line-height: 150%;
  color: $color-primary-20;
  background-color: $color-primary-80;
  border-radius: 20px;
  max-width: max-content;
  padding: 4px 16px;

  @include custom-min-width($xl) {
    font-size: 12px;
  }
}

.balance {
  @include cardText;
}

.bill {
  font-size: 20px;
  font-weight: 700;
  line-height: normal;
  display: block;

  @include custom-min-width($xl) {
    font-size: 24px;
  }
}

.number {
  @include cardText;
}

.icons {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-end;
}

.logo {
  @include custom-min-width($md) {
    width: 100px;
  }
}

.visa {
  @include custom-min-width($md) {
    width: 60px;
  }
}
